Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2013-01-11 09:282013-02-04 13:55
ReporterVictorVillarView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc23ede3e6755
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022774: Null Pointer Exception when you post a goods movement with movement qty = 0

DescriptionNull Pointer Exception when you post a goods movement with movement qty = 0
Steps To ReproduceAs group Admin role,
Go to Goods Movements window
   Create a new register: F&B US Inc.
     Navigate to Lines tab:
         Product: Cerveza Ale
         Movement qty = 0
           from: WC- 0-0-1
           to: WC- 0-0-0
Process it adn post it.
An error message appears: Process failed during execution

Checking the log: Null Pointer Exception
Because on DocMovement.java Line: 198 is not any IF condition checking if 'dr' is null, the same as 'cr'.
Looking at DocInOut.java where exists these conditions.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055945)
hgbot (developer)
2013-01-29 13:32

Repository: erp/devel/pi
Changeset: c23ede3e675577b08c00218af62017aec52e65a5
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jan 29 13:31:32 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c23ede3e675577b08c00218af62017aec52e65a5 [^]

Fixes issue 22774: Null Pointer Exception when
you post a goods movement with movement qty = 0

---
M src-db/database/model/functions/M_MOVEMENT_POST.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/DocMovement.java
---
(0055995)
jecharri (developer)
2013-01-31 09:59

Test cases:
-verify that currently you can not process a "goods movement" if you have one line with qty = 0. Check it when you have only one line or when you have more lines and one of them has qty = 0

-If you come from old version and you were able to process, verify that now you can post if you have more than the qty=0 line.
(0056081)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056131)
VictorVillar (developer)
2013-02-04 13:55

Verified

- Issue History
Date Modified Username Field Change
2013-01-11 09:28 VictorVillar New Issue
2013-01-11 09:28 VictorVillar Assigned To => dmiguelez
2013-01-11 09:28 VictorVillar Modules => Core
2013-01-11 09:28 VictorVillar Triggers an Emergency Pack => No
2013-01-11 09:30 VictorVillar Issue Monitored: networkb
2013-01-11 10:10 naiaramartinez Assigned To dmiguelez => jonalegriaesarte
2013-01-28 13:55 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-01-29 13:32 hgbot Checkin
2013-01-29 13:32 hgbot Note Added: 0055945
2013-01-29 13:32 hgbot Status new => resolved
2013-01-29 13:32 hgbot Resolution open => fixed
2013-01-29 13:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c23ede3e675577b08c00218af62017aec52e65a5 [^]
2013-01-31 09:59 jecharri Note Added: 0055995
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056081
2013-02-04 13:55 VictorVillar Review Assigned To => VictorVillar
2013-02-04 13:55 VictorVillar Note Added: 0056131
2013-02-04 13:55 VictorVillar Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker